Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class BoPPoPInfo

    java.lang.Object
      jet.report.xls.ChartTypeInfo
          jet.report.xls.BoPPoPInfo

    public class BoPPoPInfo

extends ChartTypeInfo

Contains the information of BoPPoP chart type in the file. The class extends chartTypeInfo.

Field Summary
`static byte` | `BAROFPIE` It is a bar of pie chart type.
`static byte` | `NORMALPIE` It is a normal pie chart type.
`static byte` | `PIEOFPIE` It is a pie of pie chart type.

Fields inherited from class jet.report.xls.ChartTypeInfo
`AREA, BAR, BAR_AREA, BAR_LINE, BOPPOP, COLUMN, CONE, CYLINDER, DROPBAR, LINE, LINE_LINE, PIE, PYRAMID, RADAR, SCATTER, SHOWBUBBLESIZE, SHOWLABEL, SHOWLABPER, SHOWNONE, SHOWPERCENT, SHOWVALUE, STOCK, SURFACE`

Constructor Summary
`BoPPoPInfo(short dataLabel, boolean is3D, Info3D info3D, byte style)` Constructs class BarInfo and sets its fields appropriately.

Method Summary
`int` | `getChartType()` Gets the type of the chart.
`short` | `getGap()` Gets the space between the first pie and the second pie.
`short` | `getPie2Size()` Gets the size of the second pie as a percentage of the first one.
`short` | `getSplitPercent()` If split = PERCENT, gets the percentage below which each data point is contained in the secondary bar/pie as opposed to the primary pie.
`short` | `getSplitPos()` If split = POSITION, gets how many data points are contained in the secondary bar/pie.
`double` | `getSplitValue()` If split = VALUE, gets the threshold that selects which data points of the primary pie are to be moved to the secondary bar/pie.
`short` | `getStyle()` Gets the style of the bar chart.
`boolean` | `hasShadow()` Gets whether the second bar/pie has a shadow or not.
`boolean` | `isAutoSplit()` Gets whether to use default split value or not.
`void` | `setAutoSplit(boolean b)` Sets whether to use default split value or not.
`void` | `setGap(short gap)` Sets the space between the first pie and the second pie.
`void` | `setPie2Size(short pie2Size)` Sets the size of the second pie as a percent of the first one.
`void` | `setShadow(boolean b)` Sets whether the second bar/pie has a shadow or not.
`void` | `setSplitPercent(short splitPercent)` If split = PERCENT, sets the percentage below which each data point is contained in the secondary bar/pie as opposed to the primary pie.
`void` | `setSplitPos(short splitPos)` If split = POSITION, specifies how many data points are contained in the secondary bar/pie.
`void` | `setSplitValue(double splitValue)` Specifies the threshold that selects which data points of the primary pie are to be moved to the secondary bar/pie.
`void` | `setStyle(byte style)` Sets the style of the bar chart.

Methods inherited from class jet.report.xls.ChartTypeInfo
`addSeries, getCatName, getCatNameRef, getDataLabel, getInfo3D, getIs3D, getSeries, getSeriesSize, insertSeries, removeSeries, replace, setCatName, setCatNameRef, setCatNameRef, setDataLabel, setInfo3D, setIs3D, setIsPercentDataLabel, setIsShowY2, setIsShowYAxis`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORMALPIE

    public static final byte NORMALPIE

  It is a normal pie chart type.

  See Also:
    Constant Field Values

### PIEOFPIE

    public static final byte PIEOFPIE

  It is a pie of pie chart type.

  See Also:
    Constant Field Values

### BAROFPIE

    public static final byte BAROFPIE

  It is a bar of pie chart type.

  See Also:
    Constant Field Values

Constructor Detail

### BoPPoPInfo

    public BoPPoPInfo(short dataLabel,
                      boolean is3D,
                      Info3D info3D,
                      byte style)

  Constructs class BarInfo and sets its fields appropriately.

  Parameters:
    `dataLabel` - type of the data label, 0 for none, 1 for show value, 2 for show percent, 22 for show label and percent, and 16 for show label
    `is3D` - true specifies the chart is a 3D chart
    `info3D` - the 3d type info
    `style` - type of chart, can be either NORMALPIE, PIEOFPIE or BAROFPIE

Method Detail

### getChartType

    public int getChartType()

  Gets the type of the chart.

  Specified by:
    `getChartType` in class `ChartTypeInfo`
  Returns:
    type of the chart

### isAutoSplit

    public boolean isAutoSplit()

  Gets whether to use default split value or not.

  Returns:
    true if to use default split value

### setAutoSplit

    public void setAutoSplit(boolean b)

  Sets whether to use default split value or not.

  Parameters:
    `b` - - true specifies to use default split value

### hasShadow

    public boolean hasShadow()

  Gets whether the second bar/pie has a shadow or not.

  Specified by:
    `hasShadow` in class `ChartTypeInfo`
  Returns:
    true if the second bar/pie has a shadow

### setShadow

    public void setShadow(boolean b)

  Sets whether the second bar/pie has a shadow or not.

  Parameters:
    `b` - - true if the second bar/pie has a shadow

### getSplitPos

    public short getSplitPos()

  If split = POSITION, gets how many data points are contained in the secondary bar/pie.

  Returns:
    how many data points are contained in the secondary bar/pie

### setSplitPos

    public void setSplitPos(short splitPos)

  If split = POSITION, specifies how many data points are contained in the secondary bar/pie. Data points are contained in the secondary bar/pie starting from the end of the series. i@param splitPos how many data points are contained in the secondary bar/pie

### getSplitPercent

    public short getSplitPercent()

  If split = PERCENT, gets the percentage below which each data point is contained in the secondary bar/pie as opposed to the primary pie.

  Returns:
    the percentage below which each data point is contained in the secondary bar/pie as opposed to the primary pie

### setSplitPercent

    public void setSplitPercent(short splitPercent)

  If split = PERCENT, sets the percentage below which each data point is contained in the secondary bar/pie as opposed to the primary pie.

  Parameters:
    `splitPercent` - the percentage below which each data point is contained in the secondary bar/pie as opposed to the primary pie

### getPie2Size

    public short getPie2Size()

  Gets the size of the second pie as a percentage of the first one.

  Returns:
    size of the second pie as a percentage of the first one

### setPie2Size

    public void setPie2Size(short pie2Size)

  Sets the size of the second pie as a percent of the first one.

  Parameters:
    `pie2Size` - size of second pie as a percentage of the first one

### getGap

    public short getGap()

  Gets the space between the first pie and the second pie.

  Returns:
    space between the first pie and the second pie

### setGap

    public void setGap(short gap)

  Sets the space between the first pie and the second pie.

  Parameters:
    `gap` - space between the first pie and the second pie

### getSplitValue

    public double getSplitValue()

  If split = VALUE, gets the threshold that selects which data points of the primary pie are to be moved to the secondary bar/pie.

  Returns:
    the threshold that selects which data points of the primary pie are to be moved to the secondary bar/pie

### setSplitValue

    public void setSplitValue(double splitValue)

  Specifies the threshold that selects which data points of the primary pie are to be moved to the secondary bar/pie. The secondary bar/pie contains all the data points with a value smaller than the value of this field.

  Parameters:
    `splitValue` - the threshold that selects which data points of the primary pie are to be moved to the secondary bar/pie

### getStyle

    public short getStyle()

  Gets the style of the bar chart. `NORMALPIE` `PIEOFPIE` `BAROFPIE`

  Specified by:
    `getStyle` in class `ChartTypeInfo`
  Returns:
    style of the bar chart

### setStyle

    public void setStyle(byte style)

  Sets the style of the bar chart. `NORMALPIE` `PIEOFPIE` `BAROFPIE`

  Parameters:
    `style` - style of the bar chart

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD